- [HTTP request](https://developers.google.com/pay/card-fop-v1/google-card-fop-api/setAcquirerReferenceNumberForCaptureNotification#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/pay/card-fop-v1/google-card-fop-api/setAcquirerReferenceNumberForCaptureNotification#body.request_body)
  - [JSON representation](https://developers.google.com/pay/card-fop-v1/google-card-fop-api/setAcquirerReferenceNumberForCaptureNotification#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/pay/card-fop-v1/google-card-fop-api/setAcquirerReferenceNumberForCaptureNotification#body.response_body)
- [SetAcquirerReferenceNumberForCaptureNotificationResponse](https://developers.google.com/pay/card-fop-v1/google-card-fop-api/setAcquirerReferenceNumberForCaptureNotification#SetAcquirerReferenceNumberForCaptureNotificationResponse)
  - [JSON representation](https://developers.google.com/pay/card-fop-v1/google-card-fop-api/setAcquirerReferenceNumberForCaptureNotification#SetAcquirerReferenceNumberForCaptureNotificationResponse.SCHEMA_REPRESENTATION)
- [SetAcquirerReferenceNumberForCaptureNotificationResultCode](https://developers.google.com/pay/card-fop-v1/google-card-fop-api/setAcquirerReferenceNumberForCaptureNotification#SetAcquirerReferenceNumberForCaptureNotificationResultCode)

Notifies Google of the Acquirer Reference Number (ARN) for a capture.

The `acquirerReferenceNumber` value is unique for this `captureFundsReservationRequestId` and cannot be changed by a subsequent call to this method. If a new request is made with a different ARN for the same `captureFundsReservationRequestId` an `HTTP 400` will be returned.

This is used to inform Google of the ARN for a capture. This is an identifier that is shared between the issuer, merchant, network and processor. It typically is known to the processor a few days after the capture request was made. This value is also known as a Coupon Code. Providing this value for a capture helps Google respond to chargeback and fraud investigations.

If the endpoint encounters an error while processing the request, the endpoint will return HTTP 4xx or 5xx and the HTTP body will either be of type [`ErrorResponse`](https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/ErrorResponse) or contain a generic error (e.g. a message similar to "There was an error. Please try again later.").

The generic error is used in situations where an [`ErrorResponse`](https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/ErrorResponse) with a clear description could be used to help an attacker understand the payment integrator account identifier of other integrators. In these situations, where either the signing key doesn't match, the payment integrator identifier was not found, or the encryption key was unknown, this method will return a generic error. If the request signature could be verified, additional information regarding the error will be returned in an [`ErrorResponse`](https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/ErrorResponse).

An example request looks like:


    {
      "requestHeader": {
        "protocolVersion": {
          "major": 1,
          "minor": 0,
          "revision": 0
        },
        "requestId": "3d65cecb-db61-4081-8f6f-178dca6c94a6",
        "requestTimestamp": "1482192286000"
      },
      "paymentIntegratorAccountId": "SpeedyPaymentsIndia_INR",
      "captureRequestId": "G112YZH4XPDV88J",
      "acquirerReferenceNumber": "15714820583910486038403"
    }

An example response looks like:


    {
      "responseHeader": {
        "responseTimestamp": "1482192286743"
      },
      "result": "SUCCESS"
    }

### HTTP request

`POST https://vgw.googleapis.com/secure-serving/gsp/google-card-fop-api/v1/setAcquirerReferenceNumberForCaptureNotification/https://developers.google.com/pay/card-fop-v1/reference/glossary#payment_integrator_account_id`

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestHeader": { object (https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/RequestHeader) }, "paymentIntegratorAccountId": string, "captureRequestId": string, "acquirerReferenceNumber": string } ``` |

| Fields ||
|---|---|
| `requestHeader` | `object (https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/RequestHeader)` **REQUIRED**: Common header for all responses. |
| `paymentIntegratorAccountId` | `string` **REQUIRED**: This is the payment integrator account identifier that identifies contractual constraints around this transaction. |
| `captureRequestId` | `string` **REQUIRED** : A unique identifier for the transaction to associate this ARN with. This is the `requestId` generated by Google during the `captureFundsReservation` or `capture` which this request is associated with. |
| `acquirerReferenceNumber` | `string` **REQUIRED**: The acquirer generated reference number for the capture. This number is an identifier that is shared between the issuer, processor, network and merchant. It can be used to uniquely identify a transaction. |

### Response body

This method supports multiple return types. For additional information about what 4XX or 5XX HTTP status code to return with an `ErrorResponse`, consult the `ErrorResponse` object and [HTTP status codes documentation](https://developers.google.com/pay/card-fop-v1/guides/connectivity/protocol-standards#http_status_codes).

| Possible response messages ||
|---|---|
| HTTP 200 Status | ``object (`https://developers.google.com/pay/card-fop-v1/google-card-fop-api/setAcquirerReferenceNumberForCaptureNotification#SetAcquirerReferenceNumberForCaptureNotificationResponse`)`` |
| HTTP 4XX / 5XX Status | `object (https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/ErrorResponse)` |
| End of mutually exclusive fields. ||

## SetAcquirerReferenceNumberForCaptureNotificationResponse

Response object for the Google hosted SetAcquirerReferenceNumberNotificationForCaptureNotification method.

| JSON representation |
|---|
| ``` { "responseHeader": { object (https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/ResponseHeader) }, "result": enum (`https://developers.google.com/pay/card-fop-v1/google-card-fop-api/setAcquirerReferenceNumberForCaptureNotification#SetAcquirerReferenceNumberForCaptureNotificationResultCode`) } ``` |

| Fields ||
|---|---|
| `responseHeader` | `object (https://developers.google.com/pay/card-fop-v1/payment-integrator-card-fop-api/ResponseHeader)` **REQUIRED**: Common header for all responses. |
| `result` | ``enum (`https://developers.google.com/pay/card-fop-v1/google-card-fop-api/setAcquirerReferenceNumberForCaptureNotification#SetAcquirerReferenceNumberForCaptureNotificationResultCode`)`` **REQUIRED**: Result of this call. |

## SetAcquirerReferenceNumberForCaptureNotificationResultCode

Result codes for the `setAcquirerReferenceNumberNotification` method.

| Enums ||
|---|---|
| `SET_ACQUIRER_REFERENCE_NUMBER_FOR_CAPTURE_NOTIFICATION_RESULT_CODE_UNSPECIFIED` | Do not ever set this default value! |
| `SUCCESS` | The Acquirer Reference Number was successfully recorded. |